DynamicJava Javadoc: Class FormalParameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class FormalParameter

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.FormalParameter

public class FormalParameter
extends Node

This class represents the method parameters in the syntax tree

Field Summary
`static java.lang.String` | `FINAL` The final property name
`static java.lang.String` | `NAME` The name property name
`static java.lang.String` | `TYPE` The type property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`FormalParameter(boolean f, Type t, java.lang.String n)` Initializes the node
`FormalParameter(boolean f, Type t, java.lang.String n, java.lang.String fn, int bl, int bc, int el, int ec)` Initializes the node

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`java.lang.String` | `getName()` The name of this parameter
`Type` | `getType()` Returns the declaring type of this parameter
`boolean` | `isFinal()` Is this parameter final?
`void` | `setName(java.lang.String s)` Sets this parameter's name
`void` | `setType(Type t)` Sets the type of this parameter

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FINAL

    public static final java.lang.String FINAL

  The final property name

### TYPE

    public static final java.lang.String TYPE

  The type property name

### NAME

    public static final java.lang.String NAME

  The name property name

Constructor Detail

### FormalParameter

    public FormalParameter(boolean f,
                           Type t,
                           java.lang.String n)

  Initializes the node
  Parameters:
    `f` - is the parameter final?
    `t` - the type of the parameter
    `n` - the name of the parameter
  Throws:
    `java.lang.IllegalArgumentException` - if t is null or n is null

### FormalParameter

    public FormalParameter(boolean f,
                           Type t,
                           java.lang.String n,
                           java.lang.String fn,
                           int bl,
                           int bc,
                           int el,
                           int ec)

  Initializes the node
  Parameters:
    `f` - is the parameter final?
    `t` - the type of the parameter
    `n` - the name of the parameter
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if t is null or n is null

Method Detail

### isFinal

    public boolean isFinal()

  Is this parameter final?

### getType

    public Type getType()

  Returns the declaring type of this parameter

### setType

    public void setType(Type t)

  Sets the type of this parameter
  Throws:
    `java.lang.IllegalArgumentException` - if t is null

### getName

    public java.lang.String getName()

  The name of this parameter

### setName

    public void setName(java.lang.String s)

  Sets this parameter's name
  Throws:
    `java.lang.IllegalArgumentException` - if s is null

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.